Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#4350 file module not working anymore

1.670
closed-fixed
nobody
None
5
2014-08-20
2014-01-15
roberto
No

http://...*:10000/file/
no more way to have it working (either FF or IE).
java updated last version.
we click "permit execution" but nothing to do.
fileman now no usable anymore :(

Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed Jan 22 13:52:47 CET 2014 update check skipped.
Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed Jan 22 13:52:47 CET 2014 update check skipped.
Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed Jan 22 13:52:47 CET 2014 update check skipped.
Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed Jan 22 13:52:47 CET 2014 update check skipped.
Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed Jan 22 13:52:47 CET 2014 update check skipped.
Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed Jan 22 13:52:47 CET 2014 update check skipped.
Plugin Java 10.51.2.13
Uso della versione JRE 1.7.0_51-b13 Java HotSpot(TM) Client VM


sounds like am expried date for webmin java module

Related

Bugs: #4350

Discussion

  • Jay
    Jay
    2014-01-15

    I have the same problem. It began today for me.

     
  • roberto
    roberto
    2014-01-16

    yes. started today after local java update. on all my managed webmins, but just on the updated client...

     
  • Jay
    Jay
    2014-01-16

    In the Java Control Panel, I changed the security from "High" to "Medium" and it allows the Java to run. On Windows the Java control panel can be found in the Windows control panel.

     
  • Jamie Cameron
    Jamie Cameron
    2014-01-16

    The issue here is that the latest Java update made it mandatory that java applets be code signed, and this hasn't been done for the file manager yet. We are working on it though - but until then, the control panel work-around above will allow you to use the module.

     
  • roberto
    roberto
    2014-01-16

    confirm.
    fixing in the java panel works, but is not so safe get down security issues.....

     
    • Jan Grill
      Jan Grill
      2014-01-18

      In Java control panel You can set security exception for Your Webmin site (add to Exception Site List) and keep Java security high, it is working for me.

       
  • Webmin_Guy
    Webmin_Guy
    2014-01-17

    Have the same problem as well, posted this thread. Sorry for redundancy: https://sourceforge.net/p/webadmin/discussion/600155/thread/2fe58ced/
    Also no use in updating Java on the server with Webmin, this also varies from browser to browser as well. Along with Different OS like XP, and such handle it differently. Glad I found this!
    Thanks for the update.

     
    Last edit: Webmin_Guy 2014-01-17
  • Coral Atlas
    Coral Atlas
    2014-01-19

    using chrome browswer on os x ... but no java console on os x using java6 - debian 7 server webmin file manager throws security error ... however FEDORA server webmin file manager access is OK using chrome browser ... seems there's no way to adjust security setting as temp fix on os x w/chrome

     
  • Jamie Cameron
    Jamie Cameron
    2014-03-05

    • status: open --> closed-fixed
     
  • Jamie Cameron
    Jamie Cameron
    2014-03-05

    Ok, I finally have managed to get a code signing cert that can be used to sign the file manager applet. Anyone who wants to get a fix right now can download the 1.678 version of Webmin from http://www.webmin.com/devel.html . An official version will be released in a few days.

     
    • Coral Atlas
      Coral Atlas
      2014-03-05

      THANK GOD! and thanks! ;-)

      was virtual min effected by this problem as well?? ... I'm tempted to
      subscribe to Virtual ..

      On Wed, Mar 5, 2014 at 3:50 PM, Jamie Cameron jcameron@users.sf.net wrote:

      Ok, I finally have managed to get a code signing cert that can be used to
      sign the file manager applet. Anyone who wants to get a fix right now can
      download the 1.678 version of Webmin from http://www.webmin.com/devel.html. An official version will be released in a few days.


      Status: closed-fixed
      Group: 1.670
      Created: Wed Jan 15, 2014 03:41 PM UTC by roberto
      Last Updated: Sun Jan 19, 2014 07:44 PM UTC
      Owner: nobody

      http://...*:10000/file/
      no more way to have it working (either FF or IE).
      java updated last version.
      we click "permit execution" but nothing to do.
      fileman now no usable anymore :(

      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Plugin Java 10.51.2.13
      Uso della versione JRE 1.7.0_51-b13 Java HotSpot(TM) Client VM


      sounds like am expried date for webmin java module

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/webadmin/bugs/4350/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      --
      Saving OUR planet one fish at a time
      nature environment conservation ecology education science technology

      coralatlas #freefish

       

      Related

      Bugs: #4350

  • Jamie Cameron
    Jamie Cameron
    2014-03-05

    Virtualmin is built on top of Webmin, so it had the same issue (and the same fix of upgrading Webmin will apply).

     
    • Coral Atlas
      Coral Atlas
      2014-03-06

      Jamie - just installed the updated version and still got this - I rebooted
      the server first after I installed 1.678

      Java Plug-in 1.6.0_65
      Using JRE version 1.6.0_65-b14-462-11M4609 Java HotSpot(TM) 64-Bit Server VM
      User home directory = /Users/carlleitz


      c: clear console window
      f: finalize objects on finalization queue
      g: garbage collect
      h: display this help message
      l: dump classloader list
      m: print memory usage
      o: trigger logging
      q: hide console
      r: reload policy configuration
      s: dump system and deployment properties
      t: dump thread list
      v: dump thread stack
      x: clear classloader cache
      0-5: set trace level to <n>


      exception: JAR manifest requested to run in sandbox only:
      http://198.101.244.117:10000/file/file.jar.
      java.lang.SecurityException: JAR manifest requested to run in sandbox only:
      http://198.101.244.117:10000/file/file.jar
      at
      com.sun.deploy.security.DeployManifestChecker.verify(DeployManifestChecker.java:106)
      at
      com.sun.deploy.security.DeployManifestChecker.verify(DeployManifestChecker.java:84)
      at
      com.sun.deploy.security.TrustDecider.isAllPermissionGranted(TrustDecider.java:319)
      at
      com.sun.deploy.security.TrustDecider.isAllPermissionGranted(TrustDecider.java:280)
      at
      com.sun.deploy.security.TrustDecider.isAllPermissionGranted(TrustDecider.java:270)
      at
      sun.plugin2.applet.Plugin2Manager.isAppletSigned(Plugin2Manager.java:3289)
      at sun.plugin2.applet.Plugin2Manager.createApplet(Plugin2Manager.java:3207)
      at
      sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Plugin2Manager.java:1536)
      at java.lang.Thread.run(Thread.java:695)
      Exception: java.lang.SecurityException: JAR manifest requested to run in
      sandbox only: http://198.101.244.117:10000/file/file.jar

      On Wed, Mar 5, 2014 at 5:29 PM, Jamie Cameron jcameron@users.sf.net wrote:

      Virtualmin is built on top of Webmin, so it had the same issue (and the
      same fix of upgrading Webmin will apply).


      Status: closed-fixed
      Group: 1.670
      Created: Wed Jan 15, 2014 03:41 PM UTC by roberto
      Last Updated: Wed Mar 05, 2014 08:50 PM UTC
      Owner: nobody

      http://...*:10000/file/
      no more way to have it working (either FF or IE).
      java updated last version.
      we click "permit execution" but nothing to do.
      fileman now no usable anymore :(

      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Resource http://192.168.0.222:10000/file/file.jar has future expires: Wed
      Jan 22 13:52:47 CET 2014 update check skipped.
      Plugin Java 10.51.2.13
      Uso della versione JRE 1.7.0_51-b13 Java HotSpot(TM) Client VM


      sounds like am expried date for webmin java module

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/webadmin/bugs/4350/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      --
      Saving OUR planet one fish at a time
      nature environment conservation ecology education science technology

      coralatlas #freefish

       

      Related

      Bugs: #4350

  • Coral Atlas
    Coral Atlas
    2014-03-06

    System hostnamenaturedux.com (198.101.244.117)Operating systemFedora
    Linux 17Webmin version1.678Time on systemThu Mar 6 04:26:56
    2014http://198.101.244.117:10000/time/Kernel
    and CPU
    Linux 3.3.4-5.fc17.x86_64 on x86_64Processor informationAMD
    Opteron(tm) Processor 4170 HE, 1 coresSystem uptime1 hours, 12
    minutesRunning
    processes
    68 http://198.101.244.117:10000/proc/CPU load averages0.03 (1
    min) 0.44 (5 mins) 0.54 (15 mins)CPU usage2% user, 19% kernel, 0% IO, 80%
    idleReal memory992.10 MB total, 161.57 MB usedVirtual memory976.56 MB
    total, 0 bytes usedLocal disk space39.35 GB total, 29.71 GB usedPackage
    updates
    All installed packages are up to
    datehttp://198.101.244.117:10000/package-updates/index.cgi?mode=updates
    --
    Saving OUR planet one fish at a time
    nature environment conservation ecology education science technology

    coralatlas #freefish

     
    Attachments
  • Jamie Cameron
    Jamie Cameron
    2014-03-06

    Make sure your clear your browser and Java caches, so that you get the latest version of the .jar file.

     
    • Coral Atlas
      Coral Atlas
      2014-03-06

      On Thu, Mar 6, 2014 at 12:05 PM, Jamie Cameron jcameron@users.sf.netwrote:

      Make sure your clear your browser and Java caches, so that you get the
      latest version of the .jar file.

      thanks!

      --
      Saving OUR planet one fish at a time
      nature environment conservation ecology education science technology

      coralatlas #freefish

       
      Attachments